summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Frank Caraballo2010-05-11 22:23:14 +0200
committer David Somero2010-05-11 22:23:14 +0200
commit9a3697d6effbe8bb199b3c5f2486068be287718d (patch)
treebab798ba834227366440f3928572949fa25f2fd0 /graphics
parentce22a7a41767db0d674bb502e865cef85ae186e4 (diff)
downloadslackbuilds-9a3697d6effbe8bb199b3c5f2486068be287718d.tar.gz
graphics/gphoto2: Updated for version 2.4.3
Diffstat (limited to 'graphics')
-rw-r--r--graphics/gphoto2/README2
-rw-r--r--graphics/gphoto2/gphoto2.SlackBuild38
-rw-r--r--graphics/gphoto2/gphoto2.info8
3 files changed, 29 insertions, 19 deletions
diff --git a/graphics/gphoto2/README b/graphics/gphoto2/README
index 671720fcbd..8dbbc463f3 100644
--- a/graphics/gphoto2/README
+++ b/graphics/gphoto2/README
@@ -4,4 +4,4 @@ whole team of dedicated volunteers around the world. It supports
more than 800 cameras.
You must have libgphoto2 installed in order to build gPhoto2.
-libgphoto2 is also available at: http://www.slackbuilds.org/
+libgphoto2 is also available at SlackBuilds.org.
diff --git a/graphics/gphoto2/gphoto2.SlackBuild b/graphics/gphoto2/gphoto2.SlackBuild
index e7abce5068..2d29c4b098 100644
--- a/graphics/gphoto2/gphoto2.SlackBuild
+++ b/graphics/gphoto2/gphoto2.SlackBuild
@@ -6,34 +6,39 @@
# No Guarantees. Use this SlackBuild at your own risk.
# Public Domain
-# Modified by the SlackBuilds.org project
-
PRGNAM=gphoto2
-VERSION=2.4.0
+VERSION=2.4.3
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xvjf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -43,18 +48,23 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--enable-static=no \
--mandir=/usr/man \
- || exit 1
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/graphics/gphoto2/gphoto2.info b/graphics/gphoto2/gphoto2.info
index 18ee38c29a..1a292efcbe 100644
--- a/graphics/gphoto2/gphoto2.info
+++ b/graphics/gphoto2/gphoto2.info
@@ -1,8 +1,8 @@
PRGNAM="gphoto2"
-VERSION="2.4.0"
+VERSION="2.4.3"
HOMEPAGE="http://www.gphoto.org/"
-DOWNLOAD="http://dl.sourceforge.net/gphoto/gphoto2-2.4.0.tar.bz2"
-MD5SUM="5fd1f711ca806adb687b33c55964d898"
+DOWNLOAD="http://downloads.sourceforge.net/gphoto/gphoto2-2.4.3.tar.bz2"
+MD5SUM="561bcf2beac539431017c6302e0237a6"
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo[AT]gmail.com"
-APPROVED="rworkman"
+APPROVED="dsomero"